Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class FunctionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.FunctionInfo

public final class FunctionInfo
extends InfoObject

Provides information about an evaluator function defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginFunction`, Serialized Form

Field Summary
`static int` | `KEY_EVALUATOR` Key value to retrieve the `PluginFunction` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`FunctionInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, java.lang.String prototype, java.lang.String[] classNames, int argcmin, int argcmax)` Create a new `FunctionInfo`.

Method Summary
`int` | `getMaxArgCount()` Return the maximum number of arguments permitted.
`int` | `getMinArgCount()` Return the minimum number of arguments permitted.
`java.lang.String` | `getPrototype()` Return the prototype of this function.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_EVALUATOR

    public static final int KEY_EVALUATOR

  Key value to retrieve the `PluginFunction` implementation class name.

Constructor Detail

### FunctionInfo

    public FunctionInfo(java.lang.String pluginName,
                        int ID,
                        java.lang.String name,
                        java.lang.String description,
                        java.lang.String prototype,
                        java.lang.String[] classNames,
                        int argcmin,
                        int argcmax)

  Create a new `FunctionInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this function.
    `ID` - The unique plugin-supplied identifier for this function.
    `name` - The non-localized name of the function represented by this function.
    `description` - The localized description of this function.
    `prototype` - The localized prototype for this function, as pasted by the WebLogic Process Integrator Expression Editor. The function name in this prototype has to match the `name` parameter.
    `classNames` - A single-element array to identify plugin-supplied classes related to this function. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `argcmin` - Minimum number of arguments permitted. The expression evaluator uses this information to validate calls to this function.
    `argcmax` - Maximum number of arguments permitted. The expression evaluator uses this information to validate calls to this function.

Method Detail

### getPrototype

    public java.lang.String getPrototype()

  Return the prototype of this function.

  Returns:
    The function prototype.

### getMinArgCount

    public int getMinArgCount()

  Return the minimum number of arguments permitted.

  Returns:
    Minimum argument count.

### getMaxArgCount

    public int getMaxArgCount()

  Return the maximum number of arguments permitted.

  Returns:
    Maximum argument count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)